hledger-0.22: The main command-line interface for the hledger accounting tool.

Safe Haskell | None

Hledger.Cli.Print

Description

A ledger-compatible `print` command.

Synopsis

- print' :: CliOpts -> Journal -> IO ()
- showTransactions :: ReportOpts -> Query -> Journal -> String
- tests_Hledger_Cli_Print :: Test

# Documentation

print' :: CliOpts -> Journal -> IO ()Source

Print journal transactions in standard format.

showTransactions :: ReportOpts -> Query -> Journal -> String Source

tests_Hledger_Cli_Print :: Test Source